package com.pcloud.book.personalstage.dao;

import com.pcloud.book.personalstage.entity.PersonalStageReply;
import com.pcloud.common.core.dao.BaseDao;

import java.util.List;

public interface PersonalStageReplyDao extends BaseDao<PersonalStageReply> {

    Integer batchInsert(List<PersonalStageReply> list);

    List<Long> getIdsByPersonalStageId(Long personalStageId);

    void deleteByIds(List<Long> list);

    List<PersonalStageReply> getListByPersonalStageId(Long personalStageId);

    List<Long> getIdsByRelevance(Integer relevanceType, Long relevanceId);

    PersonalStageReply personalStageReply4Order(Integer value, Long personalStageId, Integer count);
}